repo/gentoo:master commit in: www-apps/dokuwiki/
"Viorel Munteanu" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786967047.90ed476419bfcbb5fc381f970410327f44827633.ceamac@gentoo> |
commit: 90ed476419bfcbb5fc381f970410327f44827633
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 11:39:36 2026 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 11:44:07 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90ed4764
www-apps/dokuwiki: add 20260714b
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
www-apps/dokuwiki/Manifest | 1 +
www-apps/dokuwiki/dokuwiki-20260714b.ebuild | 85 +++++++++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/www-apps/dokuwiki/Manifest b/www-apps/dokuwiki/Manifest
index 3122173bc3f6..252a79fc62c0 100644
--- a/www-apps/dokuwiki/Manifest
+++ b/www-apps/dokuwiki/Manifest
@@ -1,2 +1,3 @@
DIST dokuwiki-2025-05-14b.tgz 4243705 BLAKE2B 952a4ddb9b4334bc607a2188c277dd40215cdf19989b11b006121fedc11257b3fc6750620ff4c9c123982ac9051f7609a4a353b8b039a839f0be537f456b1a1f SHA512 6d8c75703ec29fd8bd7ec8cfc7d719095bb00c1144cb954147b934cf3cefc1d2f23a6244accd7277c276a63300a589d5807469ad9891186bc788598e560ee94e
DIST dokuwiki-2026-07-14a.tgz 10650252 BLAKE2B ac382d72e1da744109c506d9065843730ecac8a5d2a60046dcd785f00bea4047a823b0e0cf283765a46abdb8034e3ab7443286c2dc31ff9fcf1b4cd676d5f11a SHA512 92aab2aba66f8161a5af9aff10e97e79a4ccefd274213574bc5ebed1b2e1e49f509c058c7bfd9c83aebec31be66ad08f09027982fb5f81d703357dda20d4ba53
+DIST dokuwiki-2026-07-14b.tgz 4168595 BLAKE2B 8aa94b20234e890bd095796cc948958fe05aecbc3c0908e82e6c332da12c6576a387bc48b1fa8c181a49e3b8c2c6d8ac04725be95b1ce281f5a89950dbbbe07e SHA512 1a25106c207e9127a7a4134cf760c4092dc8c7e45ba36dbd252df5d1b6e6491118a2078776aef19b72c0d6b6f03d3e3b808ef77e5f1b856d772c485e29e581df
diff --git a/www-apps/dokuwiki/dokuwiki-20260714b.ebuild b/www-apps/dokuwiki/dokuwiki-20260714b.ebuild
new file mode 100644
index 000000000000..a148c8e45861
--- /dev/null
+++ b/www-apps/dokuwiki/dokuwiki-20260714b.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit webapp
+
+# upstream uses dashes in the datestamp
+MY_BASE_PV="${PV:0:4}-${PV:4:2}-${PV:6:2}"
+
+if [[ ${PV} == *rc* ]]; then
+ MY_PV="${MY_BASE_PV}${PV:8:4}"
+ MY_P="${PN}-rc-${MY_BASE_PV}"
+ S="${WORKDIR}/${MY_P}"
+ SRC_URI="https://download.dokuwiki.org/src/${PN}/${PN}-rc.tgz -> ${PN}-${PV}.tgz"
+else
+ MY_PV="${MY_BASE_PV}${PV:8:4}"
+ SRC_URI="https://download.dokuwiki.org/src/${PN}/${PN}-${MY_PV}.tgz"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+DESCRIPTION="DokuWiki is a simple to use Wiki aimed at a small company's documentation needs"
+HOMEPAGE="https://wiki.dokuwiki.org"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~sparc ~x86"
+IUSE="gd"
+
+RDEPEND="
+ >=dev-lang/php-8.2[xml]
+ virtual/httpd-php:*
+ gd? ( ||
+ (
+ dev-lang/php[gd]
+ media-gfx/imagemagick
+ )
+ )
+"
+
+need_httpd_cgi
+
+src_prepare() {
+ # create initial changes file
+ touch data/changes.log || die
+
+ default
+}
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc README
+ rm -f README COPYING || die
+
+ docinto scripts
+ dodoc bin/*
+ rm -r bin || die
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+
+ # Copy custom .htaccess that works with both apache 2.2 and 2.4
+ for dir in "conf" "data" "inc" "inc/lang"; do
+ insinto "${MY_HTDOCSDIR}/${dir}"
+ newins "${FILESDIR}/htaccess" ".htaccess"
+ done
+
+ # Use custom .htaccess.dist that works with both apache 2.2 and 2.4
+ insinto "${MY_HTDOCSDIR}/"
+ newins "${FILESDIR}/htaccess-dist" ".htaccess.dist"
+
+ for x in $(find data/ -not -name '.htaccess'); do
+ webapp_serverowned "${MY_HTDOCSDIR}"/${x}
+ done
+
+ webapp_configfile "${MY_HTDOCSDIR}"/.htaccess.dist
+ webapp_configfile "${MY_HTDOCSDIR}"/conf
+
+ for x in $(find conf/ -not -name 'msg'); do
+ webapp_configfile "${MY_HTDOCSDIR}"/${x}
+ done
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_src_install
+}